Loading...
Searching...
No Matches
OpenMesh::Kernel_OSG::TriMesh_OSGArrayKernel_GeneratorT< Traits > Struct Template Reference

Helper class to create a TriMesh-type based on Kernel_OSG::ArrayKernelT. More...

`#include <OpenMesh/Tools/Kernel_OSG/TriMesh_OSGArrayKernelT.hh>`

## Public Types

typedef FinalMeshItemsT< ArrayItems, Traits, true > | MeshItems
typedef AttribKernelT< MeshItems > | AttribKernel
typedef ArrayKernelT< AttribKernel, MeshItems > | MeshKernel
typedef TriMeshT< MeshKernel > | Mesh

## Detailed Description

template<class Traits>
struct OpenMesh::Kernel_OSG::TriMesh_OSGArrayKernel_GeneratorT< Traits >

Helper class to create a TriMesh-type based on Kernel_OSG::ArrayKernelT.

The documentation for this struct was generated from the following file:

- OpenMesh/Tools/Kernel_OSG/TriMesh_OSGArrayKernelT.hh